//---
// fxos-shell.theme: Color themes
//---

#ifndef FXOS_THEME_H
#define FXOS_THEME_H

#include <cstdint>
#include <fmt/core.h>
#include <fmt/color.h>

/* Load a theme from file name */
bool theme_load(std::string name);

/* Get base color for current theme */
fmt::text_style theme(int color);

/* Load a built-in theme */
bool theme_builtin(std::string name);

#endif /* FXOS_THEME_H */
